cpw.mods.fml.client

## Class TextureHelper

- java.lang.Object
- - cpw.mods.fml.client.TextureHelper

- Direct Known Subclasses:
    CopySubimageTextureHelper, OpenGL43TextureHelper

      public abstract class TextureHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `doTextureCopy(Texture atlas, Texture source, int atlasX, int atlasY)` Copy the texture from the source to the atlas at the specified position This will use the devised GL helper to do either GL-side copy or a subimage upload
    `abstract void` | `doTextureUpload(TextureStitched source)` Upload the texture to the GPU for GL side copying operations This may be a no-op depending on the active implementation.
    `void` | `rotateTexture(Texture texture, ByteBuffer buffer)` Rotate the texture so that it doesn't need a rotational transform applied each tick

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextureHelper

          public TextureHelper()

  - ### Method Detail

    - #### doTextureCopy

          public abstract void doTextureCopy(Texture atlas,
                           Texture source,
                           int atlasX,
                           int atlasY)

      Copy the texture from the source to the atlas at the specified position This will use the devised GL helper to do either GL-side copy or a subimage upload
      Parameters:
        `atlas` - The atlas texture we're copying into
        `source` - The source texture we're copying from (complete)
        `atlasX` - The X position on the atlas
        `atlasY` - The Y position on the atlas

    - #### doTextureUpload

          public abstract void doTextureUpload(TextureStitched source)

      Upload the texture to the GPU for GL side copying operations This may be a no-op depending on the active implementation.
      Parameters:
        `source` - The texture to upload

    - #### rotateTexture

          public void rotateTexture(Texture texture,
                           ByteBuffer buffer)

      Rotate the texture so that it doesn't need a rotational transform applied each tick
      Parameters:
        `texture` - The texture to rotate
        `buffer` - The buffer for the texture